Name:           pencil
Version:        2.0.18
Release:        6%{?dist}
Summary:        A sketching and GUI prototyping tool

License:        GPLv2
URL:            https://github.com/prikhi/%{name}
Source0:        https://github.com/prikhi/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

Requires:       xulrunner >= 1.9.8
BuildRequires:  desktop-file-utils
BuildArch:      noarch

%description
Pencil is an open source GUI prototyping and sketching tools released under GPL.


%prep
%setup -q


%build
# Just to be sure
rm -fr build/Outputs

cd build
./build.sh linux


%install
cp -Rp build/Outputs/LinuxPkg/usr $RPM_BUILD_ROOT/


%check
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/evolus-%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/ep.xml


%changelog
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.18-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.18-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.18-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Apr 15 2016 Mathieu Bridon <bochecha@daitauha.fr> - 2.0.18-1
- New upstream release.

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Nov 8 2013 Truong Anh Tuan <tuanta@iwayvietnam.com> - 2.0.5-1
- Update new release 2.0.5 from upstream for PNG files export with new XULRunner bugfix.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan 4 2013 Truong Anh Tuan <tuanta@iwayvietnam.com> - 2.0.4-1
- Update new release 2.0.4 from upstream for BuildID increased bugfix.

* Mon Dec 3 2012 Truong Anh Tuan <tuanta@iwayvietnam.com> - 2.0.3-1
- Update new release 2.0.3 from upstream for xulrunner 17 compatibility.

* Sun Oct 14 2012 Truong Anh Tuan <tuanta@iwayvietnam.com> - 2.0.2-1
- Update new release 2.0.2 from upstream for xulrunner 16.0.1 compatibility.

* Sat Sep 29 2012 Truong Anh Tuan <tuanta@iwayvietnam.com> - 2.0.1-1
- Update spec file to remove percent-clean section (no longer needed).
- Get the new source 2.0.1 from upstream with a lot of cleanups.

* Wed Jun 20 2012 Truong Anh Tuan <tuanta@iwayvietnam.com> - 2.0-2
- Update spec file to remove percent-defattr and BuildRoot (no longer needed).
- Update .desktop file to follow guidelines.

* Thu Jun 14 2012 Truong Anh Tuan <tuanta@iwayvietnam.com> - 2.0-1
- Initial release 2.0 from upstream.

